Higher priority:
-Study singular points of the transformations and fix the image in those
cases.

Lower priority:
-Discretize grid
-Add a parameter grid_resolution=5x5, 10x10, 15x15, ...
-Compute a limit for the discretization (298 degrees?).
-Change squares by triangles on the top and on the bottom of the sphere.
